html, body {
	margin: 0;
	padding: 0;
	font-family: "Open Sans", sans-serif;
}

a, a:hover,a:visited {
	color: #000;
}

/*
 * https://stackoverflow.com/a/27356072
 * Thanks to Salman A!
 */
header {
	display: flex;
	position: relative;
	flex-direction: column;
	align-items: center;
	
	gap: 20px;
	padding: 50px;
	margin-bottom: 30px;
	
	font-weight: 900;
	font-family: "Roboto";
	text-align: center;
	
	background-color: #ffcc00;
	color: #000;
}

header::after {
	content: "";
	position: absolute;
	bottom: -20px;
	left: 0;
	right: 0;
	height: 20px;
	background-image: url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8' standalone='no'%3F%3E%3Csvg xmlns:dc='http://purl.org/dc/elements/1.1/' xmlns:cc='http://creativecommons.org/ns%23' xmlns:rdf='http://www.w3.org/1999/02/22-rdf-syntax-ns%23' xmlns:svg='http://www.w3.org/2000/svg' xmlns='http://www.w3.org/2000/svg' version='1.1' width='40' height='20' id='svg4'%3E%3Cmetadata id='metadata10'%3E%3Crdf:RDF%3E%3Ccc:Work rdf:about=''%3E%3Cdc:format%3Eimage/svg+xml%3C/dc:format%3E%3Cdc:type rdf:resource='http://purl.org/dc/dcmitype/StillImage' /%3E%3Cdc:title%3E%3C/dc:title%3E%3C/cc:Work%3E%3C/rdf:RDF%3E%3C/metadata%3E%3Cdefs id='defs8' /%3E%3Cpolygon points='4,4 8,0 0,0 ' fill='%23CC0000' id='polygon2' style='fill:%23ffcc00;fill-opacity:1' transform='scale(5)' /%3E%3C/svg%3E%0A");
}

header h1, header h2 {
	margin: 0;
	max-width: 800px;
}

header h1 {
	margin-top: 10px;
	font-size: 40px;
}

header h2 {
	font-size: 25px;
}

main {
	background-image: url("../images/background.svg");
	background-size: 100%;
	background-repeat: repeat;
}

#main-container {
	max-width: 800px;
	margin-left: auto;
	margin-right: auto;
	padding: 20px;
}

#avatar-section {
	margin-bottom: 30px;
}

#canvas-container {
	display: grid;
	grid-template-columns: 500px 1fr;
	grid-template-rows: 1fr;
	gap: 20px;
	grid-auto-flow: row;
	grid-template-areas:
		"canvas canvas-controls";
}

#avatar-canvas-wrapper {
	grid-area: canvas;
	object-fit: contain;
}
#canvas-controls { grid-area: canvas-controls; }

#canvas-controls button {
	display: block;
	width: 100%;

	border: 0;
	padding: 13px;

	background: #fc0;
	transition: .125s;
	cursor: pointer;

	font-size: medium;
}

#canvas-controls button:not(:last-child) {
	margin-bottom: 10px;
}

#canvas-controls button:hover {
	box-shadow: 0 0 15px #fc0;
	padding: 17px;
}

#avatar-canvas {
	width: 100%;
	border: 8px solid #fc0;
	box-sizing: border-box;
}


#timeline {
	list-style: none;
	padding-left: 0;
	display: flex;
	flex-direction: column;
	gap: 20px;
	position: relative;
	margin-top: 0;
}

#timeline::before {
	content: "";
	position: absolute;
	top: 40px;
	left: 27px;
	width: 5px;
	height: calc(100% - 80px);
	background: #ffcc00;
}

#timeline li {
	display: flex;
	align-items: center;
	gap: 20px;
}

#timeline li::before {
	content: "";
	width: 60px;
	height: 60px;
	background-image: url("../images/timeline-point.svg");
	flex-basis: 60px;
	flex-shrink: 0;
}

main h2 {
	display: inline-block;
	position: relative;
	
	text-transform: uppercase;
	font-weight: bold;
	
	padding: 10px 30px 10px 30px;
	
	background-color: #ffcc00;
	color: #000;
	
	margin: 20px auto 20px auto;
}

#earning-canvas {
	margin-bottom: 30px;
}

footer {
	position: relative;
	
	background-color: #ffcc00;
	color: #000;
	
	text-align: center;
	
	padding: 40px;
	margin-top: 30px;
}

footer::before {
	content: "";
	position: absolute;
	top: -20px;
	left: 0;
	right: 0;
	height: 20px;
	background-image: url("data:image/svg+xml;charset=utf8,%3C?xml version='1.0' encoding='UTF-8' standalone='no'?%3E%3Csvg xmlns:dc='http://purl.org/dc/elements/1.1/' xmlns:cc='http://creativecommons.org/ns%23' xmlns:rdf='http://www.w3.org/1999/02/22-rdf-syntax-ns%23' xmlns:svg='http://www.w3.org/2000/svg' xmlns='http://www.w3.org/2000/svg' version='1.1' width='40' height='20' id='svg4'%3E%3Cmetadata id='metadata10'%3E%3Crdf:RDF%3E%3Ccc:Work rdf:about=''%3E%3Cdc:format%3Eimage/svg+xml%3C/dc:format%3E%3Cdc:type rdf:resource='http://purl.org/dc/dcmitype/StillImage' /%3E%3Cdc:title%3E%3C/dc:title%3E%3C/cc:Work%3E%3C/rdf:RDF%3E%3C/metadata%3E%3Cdefs id='defs8' /%3E%3Cpolygon points='8,0 0,0 4,4 ' fill='%23CC0000' id='polygon2' style='fill:%23ffcc00;fill-opacity:1' transform='matrix(-5,0,0,-5,40,20)' /%3E%3C/svg%3E");
}

@media screen and (max-width: 740px) {
	header h1 {
		font-size: 30px;
	}
	
	header h2 {
		font-size: 20px;
	}
	
	header img {
		width: 100px;
	}
	
	#avatar-section {
		margin-bottom: 10px;
	}
	
	#avatar-section h2 {
		margin-top: 10px;
	}
	
	#canvas-container {
		grid-template-columns: 1fr;
		grid-template-rows: 1fr max-content;
		gap: 15px;
		grid-auto-flow: column;
		grid-template-areas:
			"canvas"
			"canvas-controls";
	}
	
	main {
		background-size: 200%;
	}
}

@media screen and (max-width: 500px) {
	header h1 {
		font-size: 22.5px;
	}
	
	header h2 {
		font-size: 15px;
	}
	
	header img {
		width: 60px;
	}
	
	main {
		background-size: 300%;
	}
}
